<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>DatabaseHelper</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DatabaseHelper";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DatabaseHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../helperClasses/EncryptPasswordHelper.html" title="class in helperClasses"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?helperClasses/DatabaseHelper.html" target="_top">Frames</a></li>
<li><a href="DatabaseHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="../helperClasses/package-summary.html">helperClasses</a></div>
<h2 title="Class DatabaseHelper" class="title">Class DatabaseHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>helperClasses.DatabaseHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">DatabaseHelper</span>
extends java.lang.Object</pre>
<div class="block">The Class DatabaseHelper.
 This class provides methods to handle all connections to the database.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>John Edwin Braun, Katharina Unruhe, Leon Stollberg, Jan-Niklas Posselt, Oliver Neumann</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#DatabaseHelper--">DatabaseHelper</a></span>()</code></th>
<td class="colLast">
<div class="block">Instantiates a new database helper.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#changeAddress-beans.Customer-">changeAddress</a></span>&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)</code></th>
<td class="colLast">
<div class="block">Change the address of a customer.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#changeDetails-beans.Customer-">changeDetails</a></span>&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)</code></th>
<td class="colLast">
<div class="block">Change the details of a customer.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#changeEmail-beans.Customer-">changeEmail</a></span>&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)</code></th>
<td class="colLast">
<div class="block">Change the email of an user.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#changePassword-beans.Customer-">changePassword</a></span>&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)</code></th>
<td class="colLast">
<div class="block">Change the password of an user.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#checkPasswordAndEmail-java.lang.String-java.lang.String-">checkPasswordAndEmail</a></span>&#8203;(java.lang.String&nbsp;p_email,
                     java.lang.String&nbsp;p_password)</code></th>
<td class="colLast">
<div class="block">Check if the combination of the email and the password is correct</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#createOrder-beans.Order-javax.servlet.http.HttpSession-">createOrder</a></span>&#8203;(<a href="../beans/Order.html" title="class in beans">Order</a>&nbsp;p_order,
           javax.servlet.http.HttpSession&nbsp;p_session)</code></th>
<td class="colLast">
<div class="block">Creates an order in the database.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#customerReviewedArticle-java.lang.String-java.lang.String-">customerReviewedArticle</a></span>&#8203;(java.lang.String&nbsp;p_articleNo,
                       java.lang.String&nbsp;p_customerNo)</code></th>
<td class="colLast">
<div class="block">Checks if a customer already reviewed an article.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#deleteCustomer-java.lang.String-">deleteCustomer</a></span>&#8203;(java.lang.String&nbsp;p_customerNo)</code></th>
<td class="colLast">
<div class="block">Delete a specific customer (the customer will be anonymised).</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAccessory-java.lang.String-">getAccessory</a></span>&#8203;(java.lang.String&nbsp;p_sortCrit)</code></th>
<td class="colLast">
<div class="block">Gets the accessories from the database ordered after the sort criteria.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllActiveArticles-java.lang.String-java.lang.String-">getAllActiveArticles</a></span>&#8203;(java.lang.String&nbsp;p_sortCrit,
                    java.lang.String&nbsp;p_category)</code></th>
<td class="colLast">
<div class="block">Gets all active articles from a category from the database ordered by sort criteria.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Question.html" title="class in beans">Question</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllActiveQuestions--">getAllActiveQuestions</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets all active questions from the database.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllArticles-java.lang.String-">getAllArticles</a></span>&#8203;(java.lang.String&nbsp;p_sortCrit)</code></th>
<td class="colLast">
<div class="block">Gets all articles from the database ordered by a sort criteria.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Customer.html" title="class in beans">Customer</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllCustomers--">getAllCustomers</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets all customers from the database.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Question.html" title="class in beans">Question</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllQuestions--">getAllQuestions</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets all questions from the database.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../beans/Article.html" title="class in beans">Article</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getArticle-java.lang.String-">getArticle</a></span>&#8203;(java.lang.String&nbsp;p_artikelNr)</code></th>
<td class="colLast">
<div class="block">Gets the article from the database with the article number from the parameter.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../beans/Customer.html" title="class in beans">Customer</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getCustomer-java.lang.String-">getCustomer</a></span>&#8203;(java.lang.String&nbsp;p_customerNo)</code></th>
<td class="colLast">
<div class="block">Gets the customer from the database with the customer number from the parameter.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getCustomerNoByEMail-java.lang.String-">getCustomerNoByEMail</a></span>&#8203;(java.lang.String&nbsp;p_email)</code></th>
<td class="colLast">
<div class="block">Gets the customer number by the email.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getOrderedArticles-java.lang.String-">getOrderedArticles</a></span>&#8203;(java.lang.String&nbsp;p_customerNo)</code></th>
<td class="colLast">
<div class="block">Gets all ordered articles from one customer.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Order.html" title="class in beans">Order</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getOrderListByCustomerNo-java.lang.String-">getOrderListByCustomerNo</a></span>&#8203;(java.lang.String&nbsp;p_customerNo)</code></th>
<td class="colLast">
<div class="block">Gets the orders from one customer.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/OrderPosition.html" title="class in beans">OrderPosition</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getOrderPositionListByCustomerNo-java.lang.String-">getOrderPositionListByCustomerNo</a></span>&#8203;(java.lang.String&nbsp;p_customerNo)</code></th>
<td class="colLast">
<div class="block">Gets all order positions from one customer.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getPassword-java.lang.String-">getPassword</a></span>&#8203;(java.lang.String&nbsp;p_email)</code></th>
<td class="colLast">
<div class="block">Gets the password from an user from the database.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../beans/Question.html" title="class in beans">Question</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getQuestion-java.lang.String-">getQuestion</a></span>&#8203;(java.lang.String&nbsp;p_ID)</code></th>
<td class="colLast">
<div class="block">Gets an question by a specific ID.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Review.html" title="class in beans">Review</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getReviewsByArticleNo-java.lang.String-">getReviewsByArticleNo</a></span>&#8203;(java.lang.String&nbsp;p_articleNo)</code></th>
<td class="colLast">
<div class="block">Gets all reviews to one article.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getSearchResults-java.lang.String-java.lang.String-java.lang.String-">getSearchResults</a></span>&#8203;(java.lang.String&nbsp;p_search,
                java.lang.String&nbsp;p_sort,
                java.lang.String&nbsp;p_category)</code></th>
<td class="colLast">
<div class="block">Gets the search results (articles) from the database.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#insertArticle-beans.Article-">insertArticle</a></span>&#8203;(<a href="../beans/Article.html" title="class in beans">Article</a>&nbsp;p_article)</code></th>
<td class="colLast">
<div class="block">Insert an article into the database.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#insertCustomer-beans.Customer-">insertCustomer</a></span>&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)</code></th>
<td class="colLast">
<div class="block">Insert a customer into the database.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#insertOneTimeCustomer-beans.Customer-">insertOneTimeCustomer</a></span>&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)</code></th>
<td class="colLast">
<div class="block">Insert an one time customer into the database.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#insertQuestion-beans.Question-">insertQuestion</a></span>&#8203;(<a href="../beans/Question.html" title="class in beans">Question</a>&nbsp;p_question)</code></th>
<td class="colLast">
<div class="block">Insert a question into the database.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#insertReview-beans.Review-java.lang.String-">insertReview</a></span>&#8203;(<a href="../beans/Review.html" title="class in beans">Review</a>&nbsp;p_review,
            java.lang.String&nbsp;p_customerNo)</code></th>
<td class="colLast">
<div class="block">Insert review into the database.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#updateArticle-beans.Article-">updateArticle</a></span>&#8203;(<a href="../beans/Article.html" title="class in beans">Article</a>&nbsp;p_article)</code></th>
<td class="colLast">
<div class="block">Update an article in the database.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#updatePicture-beans.Article-">updatePicture</a></span>&#8203;(<a href="../beans/Article.html" title="class in beans">Article</a>&nbsp;article)</code></th>
<td class="colLast">
<div class="block">Update the picture link of an article.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#updateQuestion-beans.Question-">updateQuestion</a></span>&#8203;(<a href="../beans/Question.html" title="class in beans">Question</a>&nbsp;p_question)</code></th>
<td class="colLast">
<div class="block">Update a question in the database.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DatabaseHelper--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DatabaseHelper</h4>
<pre>public&nbsp;DatabaseHelper()</pre>
<div class="block">Instantiates a new database helper.
 It creates the connection to the database.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAccessory-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAccessory</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;&nbsp;getAccessory&#8203;(java.lang.String&nbsp;p_sortCrit)
                                     throws java.sql.SQLException</pre>
<div class="block">Gets the accessories from the database ordered after the sort criteria.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_sortCrit</code> - The sort criteria (Name_asc, Name_desc, Price_desc or Price_asc)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of all accessories</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getArticle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArticle</h4>
<pre>public&nbsp;<a href="../beans/Article.html" title="class in beans">Article</a>&nbsp;getArticle&#8203;(java.lang.String&nbsp;p_artikelNr)
                   throws java.sql.SQLException</pre>
<div class="block">Gets the article from the database with the article number from the parameter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_artikelNr</code> - Article number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The article</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getCustomer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCustomer</h4>
<pre>public&nbsp;<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;getCustomer&#8203;(java.lang.String&nbsp;p_customerNo)
                     throws java.sql.SQLException</pre>
<div class="block">Gets the customer from the database with the customer number from the parameter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customerNo</code> - Customer number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Customer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getAllArticles-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllArticles</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;&nbsp;getAllArticles&#8203;(java.lang.String&nbsp;p_sortCrit)
                                       throws java.sql.SQLException</pre>
<div class="block">Gets all articles from the database ordered by a sort criteria.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_sortCrit</code> - The sort criteria (Name_asc, Name_desc, Price_desc or Price_asc)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of all articles</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getAllActiveArticles-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllActiveArticles</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;&nbsp;getAllActiveArticles&#8203;(java.lang.String&nbsp;p_sortCrit,
                                                    java.lang.String&nbsp;p_category)
                                             throws java.sql.SQLException</pre>
<div class="block">Gets all active articles from a category from the database ordered by sort criteria.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_sortCrit</code> - Sort criteria</dd>
<dd><code>p_category</code> - Category</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of all active articles</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getAllCustomers--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllCustomers</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Customer.html" title="class in beans">Customer</a>&gt;&nbsp;getAllCustomers()
                                         throws java.sql.SQLException</pre>
<div class="block">Gets all customers from the database.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of all customers</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getReviewsByArticleNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReviewsByArticleNo</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Review.html" title="class in beans">Review</a>&gt;&nbsp;getReviewsByArticleNo&#8203;(java.lang.String&nbsp;p_articleNo)
                                             throws java.sql.SQLException</pre>
<div class="block">Gets all reviews to one article.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_articleNo</code> - Article number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of reviews</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="insertOneTimeCustomer-beans.Customer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertOneTimeCustomer</h4>
<pre>public&nbsp;java.lang.String&nbsp;insertOneTimeCustomer&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)
                                       throws java.sql.SQLException,
                                              java.sql.SQLIntegrityConstraintViolationException</pre>
<div class="block">Insert an one time customer into the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customer</code> - Customer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The ID of the newly inserted customer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
<dd><code>java.sql.SQLIntegrityConstraintViolationException</code> - SQL integrity constraint violation exception</dd>
</dl>
</li>
</ul>
<a name="insertCustomer-beans.Customer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertCustomer</h4>
<pre>public&nbsp;boolean&nbsp;insertCustomer&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)
                       throws java.sql.SQLException,
                              java.sql.SQLIntegrityConstraintViolationException</pre>
<div class="block">Insert a customer into the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customer</code> - Customer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if customer was successfully inserted</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
<dd><code>java.sql.SQLIntegrityConstraintViolationException</code> - SQL integrity constraint violation exception</dd>
</dl>
</li>
</ul>
<a name="getAllActiveQuestions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllActiveQuestions</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Question.html" title="class in beans">Question</a>&gt;&nbsp;getAllActiveQuestions()
                                               throws java.sql.SQLException</pre>
<div class="block">Gets all active questions from the database.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of all active questions</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="insertQuestion-beans.Question-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertQuestion</h4>
<pre>public&nbsp;boolean&nbsp;insertQuestion&#8203;(<a href="../beans/Question.html" title="class in beans">Question</a>&nbsp;p_question)
                       throws java.sql.SQLException</pre>
<div class="block">Insert a question into the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_question</code> - Question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if question was successfully inserted</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="checkPasswordAndEmail-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkPasswordAndEmail</h4>
<pre>public&nbsp;boolean&nbsp;checkPasswordAndEmail&#8203;(java.lang.String&nbsp;p_email,
                                     java.lang.String&nbsp;p_password)
                              throws java.sql.SQLException</pre>
<div class="block">Check if the combination of the email and the password is correct</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_email</code> - Email</dd>
<dd><code>p_password</code> - Password</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the password and the email is correct</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="insertArticle-beans.Article-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertArticle</h4>
<pre>public&nbsp;java.lang.String&nbsp;insertArticle&#8203;(<a href="../beans/Article.html" title="class in beans">Article</a>&nbsp;p_article)
                               throws java.sql.SQLException</pre>
<div class="block">Insert an article into the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_article</code> - Article</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Article number of the newly created article</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getSearchResults-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSearchResults</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;&nbsp;getSearchResults&#8203;(java.lang.String&nbsp;p_search,
                                                java.lang.String&nbsp;p_sort,
                                                java.lang.String&nbsp;p_category)
                                         throws java.sql.SQLException</pre>
<div class="block">Gets the search results (articles) from the database. The result is ordered by a sort criteria and from a specific category.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_search</code> - Search string</dd>
<dd><code>p_sort</code> - Sort criteria</dd>
<dd><code>p_category</code> - Category</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of articles that match the search string</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="deleteCustomer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteCustomer</h4>
<pre>public&nbsp;boolean&nbsp;deleteCustomer&#8203;(java.lang.String&nbsp;p_customerNo)
                       throws java.sql.SQLException</pre>
<div class="block">Delete a specific customer (the customer will be anonymised).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customerNo</code> - Customer number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if customer was successfully deleted</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getCustomerNoByEMail-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCustomerNoByEMail</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCustomerNoByEMail&#8203;(java.lang.String&nbsp;p_email)</pre>
<div class="block">Gets the customer number by the email.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_email</code> - Email</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Customer number</dd>
</dl>
</li>
</ul>
<a name="customerReviewedArticle-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customerReviewedArticle</h4>
<pre>public&nbsp;boolean&nbsp;customerReviewedArticle&#8203;(java.lang.String&nbsp;p_articleNo,
                                       java.lang.String&nbsp;p_customerNo)</pre>
<div class="block">Checks if a customer already reviewed an article.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_articleNo</code> - Article number</dd>
<dd><code>p_customerNo</code> - Customer number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the customer already reviewed the article</dd>
</dl>
</li>
</ul>
<a name="insertReview-beans.Review-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertReview</h4>
<pre>public&nbsp;void&nbsp;insertReview&#8203;(<a href="../beans/Review.html" title="class in beans">Review</a>&nbsp;p_review,
                         java.lang.String&nbsp;p_customerNo)
                  throws java.sql.SQLException</pre>
<div class="block">Insert review into the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_review</code> - Review</dd>
<dd><code>p_customerNo</code> - Customer number</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="updateArticle-beans.Article-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateArticle</h4>
<pre>public&nbsp;boolean&nbsp;updateArticle&#8203;(<a href="../beans/Article.html" title="class in beans">Article</a>&nbsp;p_article)
                      throws java.sql.SQLException</pre>
<div class="block">Update an article in the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_article</code> - Article</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if article was updated successfully</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="changePassword-beans.Customer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changePassword</h4>
<pre>public&nbsp;boolean&nbsp;changePassword&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)
                       throws java.sql.SQLException</pre>
<div class="block">Change the password of an user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customer</code> - Customer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if password was updated successfully</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="changeEmail-beans.Customer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changeEmail</h4>
<pre>public&nbsp;boolean&nbsp;changeEmail&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)
                    throws java.sql.SQLException</pre>
<div class="block">Change the email of an user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customer</code> - Customer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if email was updated successfully</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="changeDetails-beans.Customer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changeDetails</h4>
<pre>public&nbsp;boolean&nbsp;changeDetails&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)
                      throws java.sql.SQLException</pre>
<div class="block">Change the details of a customer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customer</code> - Customer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if customer details was updated successfully</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="changeAddress-beans.Customer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changeAddress</h4>
<pre>public&nbsp;boolean&nbsp;changeAddress&#8203;(<a href="../beans/Customer.html" title="class in beans">Customer</a>&nbsp;p_customer)
                      throws java.sql.SQLException</pre>
<div class="block">Change the address of a customer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customer</code> - Customer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the address was updated successfully</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - SQL exception</dd>
</dl>
</li>
</ul>
<a name="getPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPassword&#8203;(java.lang.String&nbsp;p_email)</pre>
<div class="block">Gets the password from an user from the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_email</code> - Email</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Password</dd>
</dl>
</li>
</ul>
<a name="createOrder-beans.Order-javax.servlet.http.HttpSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOrder</h4>
<pre>public&nbsp;void&nbsp;createOrder&#8203;(<a href="../beans/Order.html" title="class in beans">Order</a>&nbsp;p_order,
                        javax.servlet.http.HttpSession&nbsp;p_session)
                 throws java.lang.NullPointerException</pre>
<div class="block">Creates an order in the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_order</code> - Order</dd>
<dd><code>p_session</code> - Session</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NullPointerException</code> - Null pointer exception</dd>
</dl>
</li>
</ul>
<a name="updatePicture-beans.Article-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updatePicture</h4>
<pre>public&nbsp;void&nbsp;updatePicture&#8203;(<a href="../beans/Article.html" title="class in beans">Article</a>&nbsp;article)</pre>
<div class="block">Update the picture link of an article.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>article</code> - Article</dd>
</dl>
</li>
</ul>
<a name="getOrderListByCustomerNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrderListByCustomerNo</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Order.html" title="class in beans">Order</a>&gt;&nbsp;getOrderListByCustomerNo&#8203;(java.lang.String&nbsp;p_customerNo)</pre>
<div class="block">Gets the orders from one customer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customerNo</code> - Customer number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of orders</dd>
</dl>
</li>
</ul>
<a name="getOrderPositionListByCustomerNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrderPositionListByCustomerNo</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/OrderPosition.html" title="class in beans">OrderPosition</a>&gt;&nbsp;getOrderPositionListByCustomerNo&#8203;(java.lang.String&nbsp;p_customerNo)</pre>
<div class="block">Gets all order positions from one customer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customerNo</code> - Customer number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of order positions</dd>
</dl>
</li>
</ul>
<a name="getOrderedArticles-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrderedArticles</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Article.html" title="class in beans">Article</a>&gt;&nbsp;getOrderedArticles&#8203;(java.lang.String&nbsp;p_customerNo)</pre>
<div class="block">Gets all ordered articles from one customer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_customerNo</code> - Customer number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of articles</dd>
</dl>
</li>
</ul>
<a name="getAllQuestions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllQuestions</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../beans/Question.html" title="class in beans">Question</a>&gt;&nbsp;getAllQuestions()</pre>
<div class="block">Gets all questions from the database.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of questions</dd>
</dl>
</li>
</ul>
<a name="getQuestion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQuestion</h4>
<pre>public&nbsp;<a href="../beans/Question.html" title="class in beans">Question</a>&nbsp;getQuestion&#8203;(java.lang.String&nbsp;p_ID)</pre>
<div class="block">Gets an question by a specific ID.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_ID</code> - ID</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Question</dd>
</dl>
</li>
</ul>
<a name="updateQuestion-beans.Question-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateQuestion</h4>
<pre>public&nbsp;boolean&nbsp;updateQuestion&#8203;(<a href="../beans/Question.html" title="class in beans">Question</a>&nbsp;p_question)</pre>
<div class="block">Update a question in the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_question</code> - Question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if question was updated successfully</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DatabaseHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../helperClasses/EncryptPasswordHelper.html" title="class in helperClasses"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?helperClasses/DatabaseHelper.html" target="_top">Frames</a></li>
<li><a href="DatabaseHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
